#
# spec file for package elementary-xfce-icon-theme
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name elementary-xfce
Name:           elementary-xfce-icon-theme
Version:        0.15.2+git0.2e2ca316
Release:        2.3
Summary:        Icon theme inspired by Tango and Elementary
License:        GPL-2.0-only
Group:          System/GUI/Other
URL:            https://github.com/shimmerproject/elementary-xfce
Source:         %{_name}-%{version}.tar.xz
BuildRequires:  bitstream-vera-fonts
BuildRequires:  fdupes
BuildRequires:  gdk-pixbuf-loader-rsvg
BuildRequires:  hicolor-icon-theme
BuildRequires:  optipng
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       adwaita-icon-theme
Requires:       gtk3-tools
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description
This is an icon-theme maintained with Xfce in mind,
but it supports other desktops like Gnome3 as well.
It's a fork of the upstream elementary-project,
which took place because the team decided to
drop a lot of desktop-specific symlinks.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure
%make_build

%install
%make_install

# Cleanup unused docs
rm %{buildroot}%{_datadir}/icons/%{_name}{,-dark,-darker}/{CONTRIBUTORS,AUTHORS,README.md,LICENSE}

# We don't want to install Darkest as it's not very useful
rm -rf %{buildroot}%{_datadir}/icons/%{_name}-darkest/

# fix duplicate files
%fdupes -s %{buildroot}%{_datadir}/icons/

%files
%doc AUTHORS CONTRIBUTORS README.md
%license LICENSE
%{_datadir}/icons/elementary-xfce/
%{_datadir}/icons/elementary-xfce-dark/
%{_datadir}/icons/elementary-xfce-darker/

%changelog
* Mon Aug 28 2023 Bernhard Wiedemann <bwiedemann@suse.com>
- BuildRequire bitstream-vera-fonts for SVG text rendering
* Mon Jan 11 2021 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.15.2+git0.2e2ca316:
  * Add missing 32px icons
  * Add symbolic links for xfce 4.16 icon names (#220)
* Wed Jun 10 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.15+git8.ae895abc:
  * Fixed nm-applet icon in  notification bubble and vpn indicator
    lock (issue #212)
  * Fixed several contrast problems and added new colored
    software-update icons
* Mon Apr  6 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.15+git6.098bd333:
  * Fix nm-applet vpn symbolic and 16px panel icons
* Sun Apr  5 2020 tux93@opensuse.org
- Update to version 0.15+git4.5862aab7:
  * Fix text-editor and software-updater icons used in help dialogs
  * Fix xfce4-terminal and blueman icons used in help dialogs
* Mon Mar 23 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Build using buildsystem to take advantage of the SVG to PNG
  conversion script. PNG load faster than SVG.
* Mon Mar 23 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.15+git0.6fc555d6:
  * Run vacuum-defs
  * Add 24px clipman icon
  * Fixed dangling symlinks
* Thu Mar 19 2020 tux93@opensuse.org
- Update to version 0.14+git30.e40a2684:
  * Darker theme: relink bad icons and fix nm-applet (Issue #191)
* Wed Mar 11 2020 tux93@opensuse.org
- Update to version 0.14+git28.4be98dc7:
  * Fix home icon in darker theme
* Tue Mar 10 2020 tux93@opensuse.org
- Update to version 0.14+git26.b207ac07:
  * Fix icon for Gnome Software Center (Issue #181)
  * Fix Bluetooth Manager icon in application menu (Issue #129)
* Fri Mar  6 2020 tux93@opensuse.org
- Update to version 0.14+git23.0db3af45:
  * Fixed close and eject icons for dark theme
  * Fix user-desktop icons
* Thu Feb 27 2020 maurizio.galli@gmail.com
- Update to version 0.14+git21.6b81725d:
  * Removed conflicting icons
- Fixes boo#1164862
* Fri Feb 21 2020 maurizio.galli@gmail.com
- Update to version 0.14+git19.684af360:
  * Several small symlink  fixes
  * Revamped all 16px panel icons and made several fixes
  * Revamped 16px dark panel icons and synced network icons from elementary upstream
  * Add symlinks for LICENSE
  * Fix dangling symlinks to AUTHORS, CONTRIBUTORS, and README.md
  * Cleanup unused styles fron thunderbird svgs, fixing inkscape warning attribute 'mask' given as CSS
  * Second run of vacuum-defs
  * Drop file reference (fixes #171)
  * Rename fake svgs to pngs
  * Vacuum all svgs
  * Drop Chrome and Chromium icons Both icons scale well at every size
* Tue Nov  5 2019 maurizio.galli@gmail.com
- Update to version 0.14+git5.36fd0049:
  * Drop Firefox icon
* Thu Oct 24 2019 maurizio.galli@gmail.com
- Update to version 0.14+git4.5c874a03:
  * fix nm-device-wired 16px light icon colors
  * make nm-device-wired dark icon 16px match 22px style
  * Make 24px home folder consistent with 16px
  * Make 16-24px Music folder blue for better contrast on dark background
  * make nm-device-wired icon 16px match 22px style
  * Added nm-applet wired symbolic icon
  * Improve sizing and alignment of thunderbird icon
  * thunderbird png -> svg
  * New thunderbird icon
* Thu Oct 24 2019 maurizio.galli@gmail.com
- Update to version 0.14+git4.5c874a03:
  * fix nm-device-wired 16px light icon colors
  * make nm-device-wired dark icon 16px match 22px style
  * make nm-device-wired icon 16px match 22px style
* Fri Jul 12 2019 maurizio.galli@gmail.com
- Update to version 0.13.1+git37.828aa1a8:
  * Make 24px home folder consistent with 16px
  * Make 16-24px Music folder blue for better contrast on dark background
* Sat Jul  6 2019 maurizio.galli@gmail.com
- Update to version 0.13.1+git35.4527964c:
  * Added nm-applet wired symbolic icon
  * New thunderbird icon
  * Updated software-updater icons to match symbolic icons color codes
- Changed source archive to xz
* Sat Jun 22 2019 maurizio.galli@gmail.com
- Update to version 0.13.1+git29.525caef4:
  * Also inherit the upstream elementary theme (Fixes #157)
  * Add some missing symbolic icons for blueman and blueberry
  * Added transmission symbolic icon
  * Add preferences-color and xfce4-color-settings icons
  * added new software-updater symbolic icons
  * fixed blueman-disabled symbolic icon
  * Drop dangling symlinks
  * Also add Thunar toolbar icons to -darker variant
  * Improve symbolic icons for Thunar
- Changed source file name to follow guidelines ("+" instead of "~")
* Fri Apr 19 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git20.f4968df2:
  * Added 24px system-software-update monochrome icons
  * Removed apps/48/system-software-update.svg from Darker variant
* Mon Apr 15 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git17.6118c6a9:
  * Adding symlink to appropriate update icon for gpk
  * Fix gradients and shadows of software-update icons
  * software-update-icons: Fixed 16px icons to match 22px design
  * Add approved 'monochrome' panel icons for software updater
    and update CONTRIBUTORS
  * Fix last remaining blue folders (gh#shimmerproject/elementary-xfce#127)
* Sat Feb  9 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git12.5a5d511b:
  * added blueberry tray icons
* Mon Jan 28 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git11.25ff77b0:
  * Ensure we're inheriting Adwaita (gh#shimmerproject/elementary-xfce#139)
  * Respect the CC variable, if defined.
  * Avoid race condition when using parallelization.
  * Add symlinks for media-flash-sd
* Thu Dec 20 2018 maurizio.galli@gmail.com
- Update to version 0.13.1~git6.c377da86:
  * Add yast specific package-* icons
- Renamed version
* Wed Nov 14 2018 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.13.1+20181113.14732d1b:
  * No longer inherit from the gnome icon theme
    (gh#shimmerproject/elementary-xfce#136)
- Added Requires adwaita-icon-theme and hicolor-icon-theme
* Tue Nov 13 2018 Jan Engelhardt <jengelh@inai.de>
- Remove conjecture and first-person grammar from description.
* Tue Nov 13 2018 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.13.1+20181112.4a4d7c9f:
  * Reorganize Authors, License and Contributors files
    (gh#shimmerproject/elementary-xfce#135)
  * Update bluetooth icon from upstream
  * More vacuuming
  * Update Network and Power settings from upstream
  * Update view-refresh from upstream
  * Add new network icons for dark panels
  * Add 22px wireless icons
  * Start transition to new wireless icon
  * More vacuuming
  * Recolor the remaining blue folder icons
    (gh#shimmerproject/elementary-xfce#127)
- removed patch as no longer needed (gh#shimmerproject/elementary-xfce#135)
- fixed spec file to remove duplicates
* Mon Nov 12 2018 Maurizio Galli <maurizio.galli@gmail.com>
- switched source to master branch
* Sun Nov 11 2018 Maurizio Galli <maurizio.galli@gmail.com>
- revert previous changes
- created patch to move doc files in the correct location in the source
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- fixed doc files and license file issues in source tar.gz in spec file
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- run spec-cleaner
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- initial build
